--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: topic set on channel
  name: channel
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: ":info if topic info, :set if topic set"
  name: info_or_set
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: topic set at (unixtime)
  name: timestamp
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: channel topic
  name: topic
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Irc::TopicMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
name: TopicMessage
superclass: BasicUserMessage
